import { XYChart } from "./XYChart";
import { IEnumerable, Type } from "igniteui-angular-core";
import { CategoryChartType } from "./CategoryChartType";
import { CategorySeriesMarkerCollisionAvoidance } from "./CategorySeriesMarkerCollisionAvoidance";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { BrushCollection } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { DataSeriesType } from "igniteui-angular-core";
import { IDataSeriesAdapterRule } from "igniteui-angular-core";
import { Series } from "./Series";
import { XamDataChart } from "./XamDataChart";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryChart extends XYChart {
    static $t: Type;
    protected ic(): void;
    protected ie(a: Series, b: number): void;
    protected i0(a: string, b: any, c: any): void;
    private sl;
    get sn(): number;
    set sn(a: number);
    private rk;
    get rl(): (time: number) => number;
    set rl(a: (time: number) => number);
    sq(): string;
    protected h7(a: XamDataChart): void;
    protected id(a: Series, b: number): void;
    private ra;
    private re;
    protected hw(): void;
    protected pe(a: Axis): void;
    private q4;
    get q5(): CategoryChartType;
    set q5(a: CategoryChartType);
    private q6;
    get q7(): CategorySeriesMarkerCollisionAvoidance;
    set q7(a: CategorySeriesMarkerCollisionAvoidance);
    private ro;
    get rt(): boolean;
    set rt(a: boolean);
    private q8;
    get q9(): CategoryTransitionInMode;
    set q9(a: CategoryTransitionInMode);
    private ri;
    get rj(): TransitionInSpeedType;
    set rj(a: TransitionInSpeedType);
    private ry;
    get sc(): number;
    set sc(a: number);
    private rz;
    get sd(): number;
    set sd(a: number);
    private rx;
    get sb(): number;
    set sb(a: number);
    private r0;
    get se(): number;
    set se(a: number);
    private r1;
    get sh(): number;
    set sh(a: number);
    private rq;
    get rv(): boolean;
    set rv(a: boolean);
    private sm;
    get so(): number;
    set so(a: number);
    private r3;
    get sj(): number;
    set sj(a: number);
    private r2;
    get si(): number;
    set si(a: number);
    private r4;
    get sk(): number;
    set sk(a: number);
    get sa(): number;
    get r9(): number;
    r6(): number;
    r8(): number;
    r5(): number;
    r7(): number;
    get sg(): number;
    get sf(): number;
    private q0;
    get q2(): BrushCollection;
    set q2(a: BrushCollection);
    private q1;
    get q3(): BrushCollection;
    set q3(a: BrushCollection);
    private rp;
    get ru(): boolean;
    set ru(a: boolean);
    private rm;
    get rr(): boolean;
    set rr(a: boolean);
    private rn;
    get rs(): boolean;
    set rs(a: boolean);
    constructor();
    protected get_cv(): List$1<DataSeriesType>;
    protected get cv(): List$1<DataSeriesType>;
    private rw;
    protected c4(): IEnumerable;
    private te;
    private tf;
    protected jh(): void;
    private _xAxis;
    private get xAxis();
    private set xAxis(value);
    private _yAxis;
    private get yAxis();
    private set yAxis(value);
    private rd;
    private rc;
    protected ab(a: DataSeries): DataSeriesType;
    protected a3(a: DataSeries, b: DataSeriesType): Series;
    protected jf(a: DataSeries): void;
    protected ji(): void;
    protected get_cu(): List$1<IDataSeriesAdapterRule>;
    protected get cu(): List$1<IDataSeriesAdapterRule>;
    protected hu(a: Series, b: number): void;
    private tc;
    private td;
    protected ka(): Axis;
    protected kb(): Axis;
    private rg;
    private rh;
    protected cr(a: string, b: boolean): List$1<Series>;
    protected jm(a: Series, b: Series, c: DataSeries): void;
    protected iz(a: string, b: any, c: any): void;
}
